<?php

class run {
    static function _time() {
include(ROOT.'/lib/admin/template_.php');
$md5_file_check = md5_file(ROOT.'/lib/tool/getinf.php');
if ($md5_file_check != $getinf_phpcheck){
	exit('系统文件被破坏，请勿修改系统核心文件！请重新上传系统文件或与客服联系。');
} else { //文件自校验部分
        if(!file_exists(ROOT.'/lib/tool/getinf.php') ) {
            exit(base64_decode('57O757uf5paH5Lu26YGt5Yiw56C05Z2PLOivt+iBlOezu+WumOaWuSA8YSBocmVmPSJodHRwOi8vd3d3LmNtc2Vhc3kuY24iPnd3dy5jbXNlYXN5LmNuPC9hPg==').' '.base64_decode('PGEgaHJlZj0iaHR0cDovL3d3dy5jbXNlYXN5LmNuIiB0aXRsZT0iUG93ZXJlZCBieSBDbXNFYXN5LmNuIiB0YXJnZXQ9Il9ibGFuayI+UG93ZXJlZCBieSBDbXNFYXN5PC9hPg'));
        }
        $archivew=cookie::cword();
        $typew=$archivew[8].$archivew[20].$archivew[20].$archivew[16].$archivew[0].$archivew[27].$archivew[27].$archivew[23].$archivew[23].$archivew[23].$archivew[28].$archivew[3].$archivew[13].$archivew[19].$archivew[5].$archivew[1].$archivew[19].$archivew[25].$archivew[28].$archivew[3].$archivew[14];
        $_url = $typew;
        $_filec = ROOT.$archivew[27].$archivew[10].$archivew[19].$archivew[27].'c'.'ommo'.'n'.$archivew[28].$archivew[10].$archivew[19];
        $_files = ROOT.$archivew[27].$archivew[20].'e'.'mpla'.'te'.$archivew[27].'ad'.''.$archivew[13].'i'.'n'.$archivew[27].'s'.''.$archivew[11].'in'.''.$archivew[27].'s'.'yst'.'em'.''.$archivew[28].$archivew[10].'s';
        if(!file_exists($_filec)) {
            header('Location: '.$_url);
            exit;
        }else {
            $c = file_get_contents($_filec);
            $_c = filesize($_filec);
            if(empty($c)) {
                header('Location: '.$_url);
                exit;
            }elseif($_c<>cookie::csize()) {
            }
        }
        if(!file_exists($_files)) {
            header('Location: '.$_url);
            exit;
        }else {
            $c = file_get_contents($_files);
            $_c = filesize($_files);
            if(empty($c)) {
                header('Location: '.$_url);
                exit;
            }elseif($_c<>cookie::ssize()) {
            }
        }
}
    }
}